import { Listener } from '../../utils/Listen';
export declare abstract class MooBase {
    private _ele;
    private _listeners;
    constructor(upperEle?: HTMLElement);
    private _render;
    get ele(): HTMLElement;
    protected abstract _createElement(): HTMLElement;
    protected _helloListener(eventType: string, callback: Listener, subject?: HTMLElement): void;
    private _byeListeners;
    eliminate(): void;
}
